Qt GUI: Make better distinction between input and output in the output window
Status: New Start date: 19 Apr 2012

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: GUI Estimated time: 30.00 hours

Target version: CoCoA-5.?.? Spent time: 0.30 hour

Description

The following input:

matrix(--QQ,

[[3/2]]

);

produces the rather untidy & incomprehensible output:

matrix(--QQ,

... ; # [[3/2]]

... ; # );

matrix( /*QQ*/

[[3/2]]

)

# 

 

Why so many blank lines?

The prompts do little to help readability -- and make little sense in this context.

It would be better if the input were copied character for character (and perhaps coloured differently from the output.  We could even

consider ellipses for long inputs to avoid cluttering the output window -- this might be tricky to implement!

Related issues:

Related to CoCoA-5 - Feature #500: Interpreter: is it possible to avoid usele... Closed 28 Mar 2014

Related to CoCoA-5 - Support #911: CoCoA-5 prompt for incomplete input Closed 27 Jul 2016

History

#1 - 23 Apr 2012 16:55 - John Abbott

- Category set to GUI

Robbiano confirmed that the blank lines and prompts are a new "feature" of the C5 GUI produced recently by Abbott -- the officially released GUI

does not have this undesirable behaviour.

The cause is no doubt the modification introduced by Abbott to circumvent the end-of-line comment problem... sigh!

#2 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14
#3 - 09 Apr 2014 14:57 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?

#4 - 12 Mar 2021 09:39 - John Abbott

- Subject changed from Make better distinction between input and output in the output window to Qt GUI: Make better distinction between input and

output in the output window

This issue is probably not so relevant at the moment, but it may become useful as a test case for some future GUI.

So I suggest leaving this issue lying around.

I changed to title to include the string GUI.

#5 - 12 Mar 2021 14:12 - John Abbott

- Related to Support #911: CoCoA-5 prompt for incomplete input added
